html {
    height: 100%;
  }
  body {
    height: 100%;
    background-attachment: fixed;
    background-repeat: no-repeat;
    background-image: linear-gradient(to bottom right, #4776E6, #8E54E9);
  }
  
  /* Style the navigation bar */
    .navbar {
      width: 100%;
      background-color: rgba(0,0,0,0.3);
      overflow: auto;
      border-radius: 12px;
    }
  
    .navbar .navitem {
      float: left;
      text-align: center;
      padding: 12px;
      color: white;
      text-decoration: none;
      font-size: 17px;
      padding-right: 0.4rem;
      width: 6rem;
  
      transition: all 0.5s ease;
    }
     
    .navbar .right {
      float: right;
    }
    
    .navbar .navitem:hover {
      cursor: pointer;
      background-color: rgba(255,255,255,0.15);
      width: 7rem;
      
      transition: all 0.5s ease;
    }
    .active {
      background-color: rgba(255,255,255,0.1);
    }
  /* Style the navigation bar */
  
  
  /* Dialog Box */
    /*This one is basically the background (the blurry thing on the screen)*/
    .dialogbox {
      display: none; 
      position: fixed; 
      z-index: 1; 
      padding-top: 100px; 
      left: 0; 
      top: 0; 
      width: 100%; 
      height: 100%; 
      overflow: auto;
      background-color: rgba(0,0,0,0.1);
      backdrop-filter: blur(1px);
      -webkit-backdrop-filter: blur(1px);
    }
  
    /*And this is the real dialogbox*/
    .dialogbox .dialogbox-content {
      background-color: rgba(255,255,255,0.30);
      backdrop-filter: blur(4px);
      -webkit-backdrop-filter: blur(4px);
      margin: auto;
      padding: 20px; 
      border-radius: 20px; 
      width: 25%; 
      overflow: auto;
      transition: all ease 1s;
    }
    .dialogbox .dialogbox-content .textbox {
      display: block;
      margin: 0;
      color: #455A64;
      width: 60%;
      font-family: inherit;
      border: none;
      border-radius: 0.4rem;
      line-height: 1.8;
      font-size: 1.6rem;
      font-family: 'Titan One', cursive;
      text-align: center;
      transition: box-shadow 300ms;
    }
    .dialogbox .dialogbox-content .textbox::placeholder {
      color: #B0BEC5;
    }
    .dialogbox .dialogbox-content .textbox:focus {
      outline: none;
      box-shadow: 0.2rem 0.8rem 1.6rem rgba(0,0,0,0.3);
    }
  
    .dialogbox .dialogbox-content .title {
      font-family: 'Titan One', cursive;
      font-size: 25px;
      font-weight: bold;
      color: rgba(255,255,255,0.6);
    }
  
    .dialogbox .dialogbox-content .slider {
      appearance: none;
      margin-top: 3rem;
      height: 20px;
      background-color: rgba(255,255,255,0.4);
      border-radius: 12px;
      width: 60%;
      cursor: pointer;
    }
  
    .dialogbox .dialogbox-content .slider::-webkit-slider-thumb {
      -webkit-appearance: none;
      appearance: none;
      width: 25px;
      height: 25px;
      border-radius: 9px; 
      background: #4776E6;
    }
  
    .dialogbox .dialogbox-content .slider::-moz-range-thumb {
      width: 25px;
      height: 25px;
      border-radius: 9px;
      background: #4776E6;
    }
  
    .dialogbox .dialogbox-content .countr {
      font-family: 'Titan One', cursive;
      color: rgba(255,255,255,0.6);
    }
  
    .dialogbox .dialogbox-content button {
      font-family: 'Titan One', cursive;
      font-size: 25px;
      overflow: hidden;
  
      margin-top: 2rem;
      margin-bottom: 1rem;
      background-color: rgba(50,205,50,0.5);
      color: rgba(255,255,255,0.6);
      height: 3rem;
      width: 60%;
      border-radius: 10px;
      border-width: 0;
  
      transition: all ease 0.5s;
    }
  
    .dialogbox .dialogbox-content button:hover {
      color: rgba(255,255,255,0.8);
      background-color: rgba(50,205,50,0.8);
    }
  
  /* Dialog Box */
  
  
  /* Value Block */
    .val {
      height: 600px;
      width: 20%;
      border: 3px solid #555;
      border-radius: 25px;
      background-color: rgba(255,255,255,0.1);
      overflow: hidden;
      overflow-y: scroll;
    }
    .val .val-title {
      padding-left: 2rem;
      padding-top: 0.4rem;
      font-family: 'Titan One', cursive;
      font-size: 25px;
      font-weight: bold;
      align-items: center;
      color: rgba(255,255,255,0.6);
      filter: blur(0.4px);
    }
  
    .val i {
      cursor: pointer;
      position: fixed;
      padding-left: 10px;
      padding-top: 0.4rem;
      align-content: center;
    }
  
    .val .val-list {
      list-style-type: none;
      padding-left: 2.2rem;
      width: 220%;
    }
    .val .val-list li {
      padding-left: 0.5rem;
      padding-top: 3px;
      padding-bottom: 3px;
      overflow: hidden;
      font-family: sans-serif;
      font-size: 16px;
      color: rgba(255,255,255,0.6);
      filter: blur(0.4px);
      transition: all ease-out 0.5s;
    }
    .val .val-list li:hover {
      background-color: rgba(255,255,255,0.1);
      border-radius: 25px;
      transition: all ease-in 0.5s;
    }
    /* Hide scrollbar for Chrome/Safari/Opera */
    .val::-webkit-scrollbar {
      display: none;
    }
    /* Hide scrollbar for IE/Edge/Firefox */
    .val {
      -ms-overflow-style: none;
      scrollbar-width: none;
    }
  
  /* Value Block */
  
  /* Chart */
    #mainChart {
      width: 60%;
      height: 50%;
      max-width: 60%;
    }
  
  /* Chart */
  
  /* Main Row */
  
    #mainRow {
      display: flex; 
      justify-content: space-around; 
      margin-top: 2rem;
    }
  
  /* Main Row */
  
  /* Add responsiveness - will automatically display the navbar vertically instead of horizontally on screens less than 500 pixels */
  @media screen and (max-width: 500px) {
    .navbar .navitem{
      float: none;
      display: block;
      width: auto;
    }
    .navbar .navitem:hover {
      width: auto;
    }
  }
  
  @media screen and (max-width: 900px) {
    .val {
      margin-top: 3rem;
      margin: 10px;
      height: 500px;
      width: auto;
    }
  
    .dialogbox .dialogbox-content {
      width: 50%;
      transition: all ease 1s;
    }
  
    #mainChart {
      width: 100%;
      height: auto;
      max-width: 100%;
    }
  
    #mainRow {
      display: block;
    }
  
  }